---
default:
  image: python:3.6
  before_script: &install_dependencies
    - pip install poetry
    - poetry install

yamllint:
  script:
    - poetry run yamllint .
  tags:
    - docker

# Basic role syntax check
ansiblesyntax:
  before_script:
    - *install_dependencies
    # Create ansible.cfg with correct roles_path
    - printf '[defaults]\nroles_path=../' > ansible.cfg
    - export ANSIBLE_CONFIG=ansible.cfg
  script:
    - >-
      poetry run
      ansible-playbook tests/test.yml -i tests/inventory --syntax-check
  tags:
    - docker
